shell unit tests:
  image: $CI_REGISTRY/$CI_PROJECT_PATH/$SG_CI_IMAGE_NAME
  stage: test
  tags:
    - stackgres-runner-v2
    - linux-amd64
  script:
    - |
      set +e
      TMP_PATH="/tmp/stackgres-$JOB_ID"
      cp -a . "$TMP_PATH"
      (
        cd "$TMP_PATH"
        sh stackgres-k8s/src/operator/src/test/shell/run-in-docker.sh
      )
      EXIT_CODE="$?"
      cp -a "$TMP_PATH"/stackgres-k8s/src/operator/target stackgres-k8s/src/operator/target
      rm -rf "$TMP_PATH"
      exit "$EXIT_CODE"
  retry:
    max: 2
    when: [ unknown_failure, api_failure, stuck_or_timeout_failure, runner_system_failure, runner_unsupported,
     stale_schedule, job_execution_timeout, archived_failure, unmet_prerequisites, scheduler_failure, data_integrity_failure ] 
  artifacts:
    expire_in: 1 week
    when: always
    paths:
    - stackgres-k8s/src/operator/target/shell
    reports:
      junit:
        - stackgres-k8s/src/operator/target/shell/shell-unit-tests-junit-report-*.xml

swagger validations:
  image: $CI_REGISTRY/$CI_PROJECT_PATH/$SG_CI_IMAGE_NAME
  stage: test
  tags:
    - stackgres-runner-v2
    - linux-amd64
  dependencies:
    - build
  script:
    - |
      yajsv -s stackgres-k8s/src/api-web/src/main/swagger/schema.json stackgres-k8s/src/api-web/target/swagger-merged.json
  retry:
    max: 2
    when: [ unknown_failure, api_failure, stuck_or_timeout_failure, runner_system_failure, runner_unsupported,
     stale_schedule, job_execution_timeout, archived_failure, unmet_prerequisites, scheduler_failure, data_integrity_failure ] 
